> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/tiled-plugin/glue-gluevault-component-pages-tile-graphics-plugin-tileshapecollection/getrectangleatposition.md).

# GetRectangleAtPosition

### Introduction

GetRectangleAtPosition returns the AxisAlignedRectangle instance at the argument position. This method checks if the position is inside the bounds of the rectangle, so an exact position is not needed. This method also takes advantage of the axis-based partitioning in the TileShapeCollection so this method does not need to check every rectangle. In other words, this method is very fast, even for TileShapeCollections with a lot of rectangles.

### Code Example - Getting Rectangle at Cursor Position

The following code can be used to obtain a rectangle at the Cursor's position:

```
var cursorPosition = GuiManager.Cursor.WorldPosition;
var rectangleAtCursorPosition =
    SolidCollision.GetRectangleAtPosition(cursorPosition.X, cursorPosition.Y);

if(rectangleAtCursorPosition != null)
{
    // do something with the rectangle
}
```

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flatredball.com/flatredball/tiled-plugin/glue-gluevault-component-pages-tile-graphics-plugin-tileshapecollection/getrectangleatposition.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
